# wails
go语言开发桌面程序，node+go 前后端，windows应用依赖 webview2, 比如可以基于ant-design-vue开发桌面应用。轻量Electron 项目。

## Usage

安装 go1.18+，nodejs

```
nvm list
nvm install v20.11.1
nvm use v20.11.1
node -v
npm -v

go install github.com/wailsapp/wails/v2/cmd/wails@latest

# 检查环境
wails doctor

sudo apt-get update
sudo apt install nsis
sudo apt install libgtk-3-dev
sudo apt install libwebkit2gtk-4.0-dev


# 创建项目
wails init -n myproject -t svelte
wails init -n myproject -t vue  # vue模板
wails init -n myproject -t vue-ts
wails init -n myproject -t react

wails dev
wails build --clean
wails serve
```



